Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.catalog
Class ENLOCError

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.catalog.ENLOCError

All Implemented Interfaces:
  java.io.Serializable

    public class ENLOCError

extends java.lang.Object
implements java.io.Serializable

Class ENLOCError.

Version:
  1.0, 24/06/2009
See Also:
  Serialized Form

Constructor Summary
`ENLOCError()`

Method Summary
`void` | `deleteErrorCode()` Delete a error Code
`java.lang.String` | `getContent()` Returns the value of field 'content'.
`long` | `getErrorCode()` Returns the value of field 'errorCode'.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`java.lang.String` | `getLang()` Returns the value of field 'lang'.
`java.lang.String` | `getParameterList()` Returns the value of field 'parameterList'.
`ENLOCErrorTypeType` | `getType()` Returns the value of field 'type'.
`boolean` | `hasErrorCode()` Method hasErrorCode.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setContent(java.lang.String content)` Sets the value of field 'content'.
`void` | `setErrorCode(long errorCode)` Sets the value of field 'errorCode'.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setLang(java.lang.String lang)` Sets the value of field 'lang'.
`void` | `setParameterList(java.lang.String parameterList)` Sets the value of field 'parameterList'.
`void` | `setType(ENLOCErrorTypeType type)` Sets the value of field 'type'.
`static ENLOCError` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCError

    public ENLOCError()

Method Detail

### deleteErrorCode

    public void deleteErrorCode()

  Delete a error Code

### getContent

    public java.lang.String getContent()

  Returns the value of field 'content'. The field 'content' has the following description: internal content storage

  Returns:
    the value of field 'Content'.

### getErrorCode

    public long getErrorCode()

  Returns the value of field 'errorCode'.

  Returns:
    the value of field 'ErrorCode'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getLang

    public java.lang.String getLang()

  Returns the value of field 'lang'. The field 'lang' has the following description: Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information.

  Returns:
    the value of field 'Lang'.

### getParameterList

    public java.lang.String getParameterList()

  Returns the value of field 'parameterList'.

  Returns:
    the value of field 'ParameterList'.

### getType

    public ENLOCErrorTypeType getType()

  Returns the value of field 'type'.

  Returns:
    the value of field 'Type'.

### hasErrorCode

    public boolean hasErrorCode()

  Method hasErrorCode.

  Returns:
    true if at least one ErrorCode has been added

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` - is the out
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` - is the handler
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setContent

    public void setContent(java.lang.String content)

  Sets the value of field 'content'. The field 'content' has the following description: internal content storage

  Parameters:
    `content` - the value of field 'content'.

### setErrorCode

    public void setErrorCode(long errorCode)

  Sets the value of field 'errorCode'.

  Parameters:
    `errorCode` - the value of field 'errorCode'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setLang

    public void setLang(java.lang.String lang)

  Sets the value of field 'lang'. The field 'lang' has the following description: Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information.

  Parameters:
    `lang` - the value of field 'lang'.

### setParameterList

    public void setParameterList(java.lang.String parameterList)

  Sets the value of field 'parameterList'.

  Parameters:
    `parameterList` - the value of field 'parameterList'.

### setType

    public void setType(ENLOCErrorTypeType type)

  Sets the value of field 'type'.

  Parameters:
    `type` - the value of field 'type'.

### unmarshal

    public static ENLOCError unmarshal(java.io.Reader reader)
                                throws org.exolab.castor.xml.MarshalException,
                                       org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.errors.catalog.ENLOCError
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD